	subroutine wtlpedit(in,lp)
c lpedit of raw work tape data
c *** 7-Mar-05 ***
	integer in(24,60),lp(240,3),and,rshift
	parameter (mask=1023)
	la(i)=and(rshift(in(i,k),22),mask)
	lb(i)=and(rshift(in(i,k),11),mask)
	lc(i)=and(in(i,k),mask)
c
	j=0
	do k=1,60
	 j=j+1
	 lp(j,1)=lc(5)
	 lp(j,2)=lb(6)
	 lp(j,3)=la(7)
	 j=j+1
	 lp(j,1)=la(11)
	 lp(j,2)=lc(11)
	 lp(j,3)=lb(12)
	 j=j+1
	 lp(j,1)=lb(16)
	 lp(j,2)=la(17)
	 lp(j,3)=lc(17)
	 j=j+1
	 lp(j,1)=lc(21)
	 lp(j,2)=lb(22)
	 lp(j,3)=la(23)
	 end do
	return
	end
